{% extends 'base_fullwidth.html' %}
{% load i18n static %}
{% block title %}
Observations de la session {{object.name}}
{% endblock %}

{% block content %}
<style>

</style>

<div id="sessionSightingEdit">
  <div id="sessionSightingEditTitle" class="col-12">
    <h1><i class="{{ icon | safe }}"></i> {{ title | safe }} <span v-if="initialDataLoaded"
                                                                   class="pull-right label label-success label-sm">[[data.length]] taxons</span>
    </h1>
    <ol class="breadcrumb">
      <li><a href="{% url 'sights:place_detail' pk=object.place.pk %}">Localité</a> <span class="text-muted  hidden-xs">({{object.place.name}})</span>
      </li>
      <li><a href="{% url 'sights:session_detail' pk=object.pk %}">Session</a> <span class="text-muted hidden-xs">({{object.name}} <span class="label label-default">{{object.contact.descr}}</span>)</span>
      </li>
    </ol>
    <div v-if="messages.length > 0" >
      <div v-for="m in messages">
        <div class="alert alert-dismissible" :class="`alert-${m.type}`">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
          <strong>[[ m.message ]]</strong>
        </div>
      </div>
    </div>
    <div class="progress" v-if="postInProgress > 0">
      <div class="progress-bar progress-bar-info" role="progressbar" :aria-valuenow="(postInProgress/data.length)*100" aria-valuemin="0" aria-valuemax="100" :style="`width: ${(postInProgress/data.length)*100}%;`">
        [[postInProgress]] / [[data.length]]
      </div>
    </div>
  </div>
  <div id="sessionSightingEditForm">
    <validation-observer tag="form" v-slot="{ invalid, valid }" slim>
      <div id="sessionSightingEditFormList" class="col-sm-4 col-md-3">
        <div class="panel" role="group" aria-label="...">
          <span @click="postData()" type="submit" class="btn btn-block btn-success"
                 ><i class="fa fa-fw fa-save"></i>
              <strong>Enregistrer</strong></span>
                      <!--  <span @click="postData()" type="submit" class="btn btn-xs" :class="{'btn-warning':invalid,'btn-success':valid}"
                  :disabled="invalid"><i class="fa fa-plus" :class="{'fa-': invalid}"></i>
              <strong>[[invalid ? 'Formulaire non valide': 'Enregistrer']]</strong></span>-->


        </div>
        <div class="panel panel-default">

          <div style="height: 500px" v-if="!(initialDataLoaded)">
            <div align="center">Chargement en cours...</div>
            <div id="spinner"></div>
          </div>
          <div v-else>
            <div class="">
              <div id="listSpecie" :class="is == selectedItem ? 'bg-info' : ''" v-for="(s, is) in data" class=""
                   @click="selectItem(is)">

                <h4 class="m-2 p-2" style="size: 2rem;">
                  {% comment %} <span v-if="s.id_sighting" class="text-muted">#[[s.id_sighting]]</span> {% endcomment %}
                  <span v-if="!s.id_sighting" class="label label-success">new</span>
                  <span class="text-success pull-right" v-if="getSpecieValue(s.codesp,'sp_true')"><i
                    class="fa fa-check"></i></span>
                  [[ s.codesp ? getSpecieValue(s.codesp,'common_name_fr'):'Choisissez une espèce']]
                  <i v-show="s.breed_colo" class="fas fa-baby fa-fw text-success"></i>
                  <span v-if='s.total_count'>: [[s.total_count]]</span>
                </h4>
                <div class="">
                  <div class="btn-group btn-sm pull-right">
                    {% comment %} <span @click="postOneData(is)" class="text-info"><i class="fas fa-fw fa-save"></i></span> {% endcomment %}
                    <span @click="sightingToDelete = is" class="text-danger "><i class="fa fa-fw fa-trash"></i></span>
                  </div>
                  <span class="label label-info text-uppercase">
                    [[ s.codesp ? getSpecieValue(s.codesp,'codesp'):'-' ]]
                  </span>
                  <i class="text-muted">
                    [[ s.codesp ? getSpecieValue(s.codesp,'sci_name'):'-' ]]
                  </i>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div v-if="sightingToDelete > -1" class="modal" id="delSightingModal" style="display: block;">
              <div class="modal-dialog">
                <div class="modal-content">
                  <!-- Modal Header -->
                  <div class="modal-header  bg-danger">
                    <button type="button" class="close" @click="sightingToDelete = -1" data-dismiss="modal">×</button>
                    <h3 class="modal-title">Suppression d'une observation</h4>

                  </div>
                  <!-- Modal body -->
                  <div class="modal-body">
                    Êtes-vous certain de vouloir supprimer l'observation #[[data[sightingToDelete].id_sighting||'-']] de <strong>[[getSpecieValue(data[selectedItem].codesp, 'common_name_fr')||'taxon non configuré']]</strong>
                  </div>
                  <!-- Modal footer -->
                  <div class="modal-footer">
                    <button type="button" @click="sightingToDelete = -1" class="btn btn-info" data-dismiss="modal">Fermer</button>
                    <button type="button" @click="delSighting(sightingToDelete)" class="btn btn-danger" data-dismiss="modal">Supprimer</button>
                  </div>
                </div>
              </div>
            </div>

        <span @click="addNewSighting()" class="btn btn-primary btn-block"><i class="fa fa-plus"></i> <strong>Nouveau taxon</strong></span>
      </div>
      <div id="sessionSightingEditFormDetails" class="col-sm-8 col-md-9">
        <div v-if="data[selectedItem]" class="panel panel-default">
          <div class="panel-heading">
            <h3 class="panel-title">
              <span class="btn-group pull-right">
                <span class="btn btn-xs btn-danger pull-right" @click="sightingToDelete = selectedItem">
                  <i class="fa fa-fw fa-trash"></i> Supprimer
                </span>
                {% comment %} <span class="text-info pull-right" @click="postOneData(selectedItem)"><i
                  class="fa fa-fw fa-save"></i></span> {% endcomment %}
              </span>
              {% comment %} <span v-if="data[selectedItem].id_sighting" class="text-muted">
                #[[data[selectedItem].id_sighting]]
              </span> {% endcomment %}
              {% comment %} <span v-if="!data[selectedItem].id_sighting" class="label label-success">new</span> {% endcomment %}
              [[ data[selectedItem].codesp ?
              getSpecieValue(data[selectedItem].codesp, 'common_name_fr'):
              'Choisissez une espèce']]
            </h3>
          </div>
          <div class="panel-body">
            <div class="specieForm">
              <div class="form-inline">
                <input type="hidden" id="id" placeholder="id_sighting" v-model:title="data[selectedItem].id_sighting"
                       v-model:content="data[selectedItem].id_sighting"/>
                <validation-provider rules="required" immediate v-slot="{ errors, valid, invalid, classes}">
                  <div class="form-group" :class='classes'>
                    <label class="control-label" for="codeSp">Taxon</label>
                    <specie-select v-model="data[selectedItem].codesp"/>
                    <span v-if='invalid' class="text-danger help-block">[[ errors[0] ]]</span>
                  </div>
                </validation-provider>
                <div class="form-group">
                  <label class="control-label" for="codeSp">Nombre total</label>
                  <input id="codeSp" type="number" class="form-control input-sm" placeholder="Nombre total"
                         class="form-control" min="0" v-model:title="data[selectedItem].total_count"
                         v-model="data[selectedItem].total_count" disabled>
                         <p class="help-block text-warning"><i class="fa fa-exclamation-triangle fa-fw"></i>Le nombre total est estimé à partir des données détaillées</p>
                </div>

                <div class="checkbox">
                  <label class="control-label" for="Breeding">
                    <input type="checkbox" class="form-control input-sm" v-model:title="data[selectedItem].breed_colo"
                           v-model="data[selectedItem].breed_colo"> Colonie de
                    reproduction
                  </label>
                </div>
                <span @click="moreSightingForm = !moreSightingForm"><i class="fas fa-2x"
                                                                       :class="moreSightingForm ? 'fa-caret-up ':'fa-caret-down'"></i></span>
              </div>
              <div id="moreSightingForm" v-if="moreSightingForm">
                <div class="checkbox form-inline">
                  <label class="control-label" for="isDoubtful">
                    <input type="checkbox" class="form-control input-sm" v-model:title="data[selectedItem].is_doubtful"
                           v-model="data[selectedItem].is_doubtful"> Douteux
                  </label>
                </div>
                <div class="form-group">
                  <label for="sComment">Commentaire</label>
                  <textarea id="sComment" placeholder="Commentaire"
                            v-model:title="data[selectedItem].comment" v-model:content="data[selectedItem].comment"
                            class="form-control" rows="3"></textarea>
                </div>
              </div>
            </div>
          </div>
          <table class="table table-sm table-scroll table-condensed">
            <tr>
              <th><span class="text-muted"><small>#</small></th>
                <!-- <th><span class="text-muted"><small>Actions</small></th>-->
                <th v-if="form_fields.includes('time')">Heure</th>
                <th v-if="form_fields.includes('method')">Méthode</th>
                <th v-if="form_fields.includes('sex')">Sexe</th>
                <th v-if="form_fields.includes('age')">Age</th>
                <th v-if="form_fields.includes('precision')">Précision</th>
                <th v-if="form_fields.includes('ab')">AB</th>
                <th v-if="form_fields.includes('poids')">Poids</th>
                <th v-if="form_fields.includes('count')">Dénombrement</th>
            </tr>

            <template v-for="(cd, icd) in data[selectedItem].countdetails">
              <tr @click="displayCountDetailForm(icd)" :class="{'info' : countDetailSelectedItem == icd}" >
                <td><span class="text-muted"><small>[[icd]]</small></td>
               <!-- <td><span class="text-danger pull-right" @click="delCountDetail(selectedItem,icd)" tooltip><i
                  class="fa fa-trash"></i></span></td>-->
                <td v-if="form_fields.includes('time')">[[cd.time ? cd.time :'-']]</td>
                <td v-if="form_fields.includes('method')" :class="{'danger' : cd.method == null}" v-html="selectedValueHtml(filteredDict(dicts.Method, typeContact), cd.method)"></td>
                <td v-if="form_fields.includes('sex')" v-html="selectedValueHtml(dicts.Sex, cd.sex)"></td>
                <td v-if="form_fields.includes('age')" v-html="selectedValueHtml(dicts.Age, cd.age)"></td>
                <td v-if="form_fields.includes('precision')" :class="{'danger' : cd.precision == null &&  !selectedCode(dicts.Method, cd.method, 'vvnc')}" v-html="selectedValueHtml(filteredDict(dicts.CountPrecision, typeContact), cd.precision)"></td>
                <td v-if="form_fields.includes('ab')">[[cd.ab]]</td>
                <td v-if="form_fields.includes('poids')">[[cd.poids]]</td>
                <td v-if="form_fields.includes('count')" :class="{'danger' : cd.count == null && !selectedCode(dicts.Method, cd.method, 'vvnc')}">[[cd.count || '-']] [[dicts.CountUnit.find((e) => e.id == cd.unit)?.code]]</td>
              </tr>
              <tr v-if="countDetailSelectedItem == icd">
              <td id="countDetailEditLine" colspan="100">
              {% comment %} <span class="pull-right btn btn-xs pull-right btn-danger" @click="countDetailSelectedItem=-1">X</span> {% endcomment %}
                <div id="specieDetail" class="form-inline">
                  <span class="label" :class="cd.id_countdetail ? 'label-info':'label-success'">[[cd.id_countdetail ? `#`+cd.id_countdetail: 'New']]</span>
                  <input type="hidden" class="form-control input-sm" id="id" placeholder="id_sighting"
                         v-model:title="cd.id_sighting" v-model:content="cd.id_sighting"/>
                  <input type="hidden" id="id" placeholder="id_countdetail" v-model:title="cd.id_countdetail"
                         v-model:content="cd.id_countdetail"/>
                  <div class="form-group" v-if="form_fields.includes('time')">
                    <label class="control-label" for="Time">Heure</label>
                    <input type="time" class="form-control input-sm" class="form-control" id="Time"
                           placeholder="Heure du contact" v-model:title="cd.time" v-model:content="cd.time"/>
                  </div>
                  <validation-provider v-if="form_fields.includes('method')" rules="required" immediate
                                       v-slot="{ errors, valid, invalid, classes}" slim>
                    <div class="form-group" :class='classes'>
                      <label class="control-label" for="Method">Méthode</label>
                      <dict-select :options="filteredDict(dicts.Method, typeContact)" v-model="cd.method"/>
                      <span v-if='invalid' class="help-block text-danger">[[ errors[0] ]]</span>
                    </div>
                  </validation-provider>
                  <div class="col form-group" v-if="form_fields.includes('sex')">
                    <label class="control-label" for="Sex">Sexe</label>
                    <dict-select :options="filteredDict(dicts.Sex)" v-model="cd.sex"/>
                  </div>
                  <div class="form-group" v-if="form_fields.includes('age')">
                    <label class="control-label" for="Age">Age</label>
                    <dict-select :options="filteredDict(dicts.Age)" v-model="cd.age"/>
                  </div>
                  <validation-provider
                    v-if="form_fields.includes('precision') && filteredDict(dicts.CountPrecision, typeContact).length > 0 && !selectedCode(dicts.Method, cd.method, 'vvnc')"
                    immediate v-slot="{ errors, valid, invalid, classes}" slim>
                    <div class="form-group" class="form-group" :class='classes'>
                      <label class="control-label" for="Precision">Précision</label>
                      <dict-select :options="filteredDict(dicts.CountPrecision, typeContact)" v-model="cd.precision"/>
                      <span v-if='invalid' class="help-block">[[ errors[0] ]]</span>
                    </div>
                  </validation-provider>


                    <div v-if="form_fields.includes('transmitter')" class="form-group" class="form-group" >
                      <label class="control-label" for="Precision">Transmetteur</label>
                    <transmitter-select id="transmitter" class="form-control" v-model="cd.transmitter"/>
                  </div>



                  <validation-provider
                    v-if="form_fields.includes('count') && !selectedCode(dicts.Method, cd.method, 'vvnc')" immediate
                    rules="required|positive" v-slot="{ errors, valid, invalid, classes}"
                    slim>
                    <div class="form-group" :class="classes">
                      <label class="control-label" for="Count">Dénombrement</label>
                      <input type="number" class="form-control input-sm" class="form-control" id="Count"
                             placeholder=""
                             v-model:title="cd.count" required v-model:content="cd.count" min="0"/>
                      <span v-if='invalid' class="help-block">[[ errors[0] ]]</span>
                    </div>
                  </validation-provider>
                  <validation-provider
                    v-if="form_fields.includes('unit') && filteredDict(dicts.CountPrecision, typeContact).length > 0 && !selectedCode(dicts.Method, cd.method, 'vvnc')"
                    rules="required" v-slot="{ errors, valid, invalid, classes}" slim>
                    <div class="form-group" :class="classes">
                      <label class="control-label" for="Unit">Unité</label>
                      <dict-select :options="filteredDict(dicts.CountUnit, typeContact)" v-model="cd.unit"/>
                      <span v-if='invalid' class="help-block">[[ errors[0] ]]</span>
                    </div>
                  </validation-provider>
                  <validation-provider v-if="form_fields.includes('ab')" rules="positive"
                                       v-slot="{ errors, valid, invalid, classes}" slim>
                    <div class="form-group" :class="classes">
                      <label class="control-label" for="AB">Avant-bras</label>
                      <input type="number" id="AB" class="form-control input-sm" v-model:title="cd.ab"
                             v-model:content="cd.ab" class="form-control" min="20" step="0.1">
                      <span v-if='invalid' class="help-block">[[ errors[0] ]]</span>
                    </div>
                  </validation-provider>
                  <validation-provider v-if="form_fields.includes('d5')" rules="positive"
                                       v-slot="{ errors, valid, invalid, classes}" slim>
                    <div class="form-group" :class="classes">
                      <label class="control-label" for="D5">Doigt 5</label>
                      <input type="number" id="D5" class="form-control input-sm" v-model:title="cd.d5"
                             v-model:content="cd.d5" class="form-control" min="0" step="0.1">
                      <span v-if='invalid' class="help-block">[[ errors[0] ]]</span>
                    </div>
                  </validation-provider>
                  <validation-provider v-if="form_fields.includes('pouce')" rules="positive"
                                       v-slot="{ errors, valid, invalid, classes}" slim>
                    <div class="form-group" :class="classes">
                      <label class="control-label" for="Pouce">Pouce</label>
                      <input type="number" id="Pouce" class="form-control input-sm" v-model:title="cd.pouce"
                             v-model:content="cd.pouce" class="form-control" min="0" step="0.1">
                      <span v-if='invalid' class="help-block">[[ errors[0] ]]</span>
                    </div>
                  </validation-provider>
                  <validation-provider v-if="form_fields.includes('queue')" rules="positive"
                                       v-slot="{ errors, valid, invalid, classes}" slim>
                    <div class="form-group" :class="classes">
                      <label class="control-label" for="Queue">Queue</label>
                      <input type="number" id="Queue" class="form-control input-sm" v-model:title="cd.queue"
                             v-model:content="cd.queue" class="form-control" min="0" step="0.1">
                      <span v-if='invalid' class="help-block">[[ errors[0] ]]</span>
                    </div>
                  </validation-provider>
                  <validation-provider v-if="form_fields.includes('tibia')" rules="positive"
                                       v-slot="{ errors, valid, invalid, classes}" slim>
                    <div class="form-group" :class="classes">
                      <label class="control-label" for="Tibia">Tibia</label>
                      <input type="number" id="Tibia" class="form-control input-sm" v-model:title="cd.tibia"
                             v-model:content="cd.tibia" class="form-control" min="0" step="0.1">
                      <span v-if='invalid' class="help-block">[[ errors[0] ]]</span>
                    </div>
                  </validation-provider>
                  <validation-provider v-if="form_fields.includes('pied')" rules="positive"
                                       v-slot="{ errors, valid, invalid, classes}" slim>
                    <div class="form-group" :class="classes">
                      <label class="control-label" for="Pied">Pied</label>
                      <input type="number" id="Pied" class="form-control input-sm" v-model:title="cd.pied"
                             v-model:content="cd.pied" class="form-control" min="0" step="0.1">
                      <span v-if='invalid' class="help-block">[[ errors[0] ]]</span>
                    </div>
                  </validation-provider>
                  <validation-provider v-if="form_fields.includes('cm3')" rules="positive"
                                       v-slot="{ errors, valid, invalid, classes}" slim>
                    <div class="form-group" :class="classes">
                      <label class="control-label" for="Cm3">cm3</label>
                      <input type="number" id="Cm3" class="form-control input-sm" v-model:title="cd.pied"
                             v-model:content="cd.cm3" class="form-control" min="0" step="0.1">
                      <span v-if='invalid' class="help-block">[[ errors[0] ]]</span>
                    </div>
                  </validation-provider>
                  <validation-provider v-if="form_fields.includes('tragus')" rules="positive"
                                       v-slot="{ errors, valid, invalid, classes}" slim>
                    <div class="form-group" :class="classes">
                      <label class="control-label" for="Tragus">tragus</label>
                      <input type="number" id="Tragus" class="form-control input-sm" v-model:title="cd.pied"
                             v-model:content="cd.tragus" class="form-control" min="0" step="0.1">
                      <span v-if='invalid' class="help-block">[[ errors[0] ]]</span>
                    </div>
                  </validation-provider>
                  <validation-provider v-if="form_fields.includes('poids')" rules="positive" immediate
                                       v-slot="{ errors, valid, invalid, classes}" slim>
                    <div class="form-group" :class="classes">
                      <label class="control-label" for="Poids">poids</label>
                      <input type="number" id="Poids" class="form-control input-sm" v-model:title="cd.pied"
                             v-model:content="cd.poids" class="form-control" min="0" step="0.1">
                      <span v-if='invalid' class="help-block">[[ errors[0] ]]</span>
                    </div>
                  </validation-provider>
                  <div v-if="form_fields.includes('testicule') && cd.sex === findCondition(dicts.Sex, 'm').id"
                       class="form-group" class="form-group">
                    <label class="control-label" for="Testicule">Testicule</label>
                    <dict-select id="Testicule" :options="filteredDict(dicts.BiomTesticule)" v-model="cd.testicule"/>
                  </div>
                  <div v-if="form_fields.includes('epididyme') && cd.sex === findCondition(dicts.Sex, 'm').id"
                       class="form-group" class="form-group">
                    <label class="control-label" for="Epididyme">Epididyme</label>
                    <dict-select id="Epididyme" :options="filteredDict(dicts.BiomEpipidyme)" v-model="cd.epididyme"/>
                  </div>
                  <div v-if="form_fields.includes('tuniq_vag') && cd.sex === findCondition(dicts.Sex, 'm').id"
                       class="form-group" class="form-group">
                    <label class="control-label" for="TuniqVag">Tunique vaginale</label>
                    <dict-select :options="filteredDict(dicts.BiomTuniqVag)" v-model="cd.tuniq_vag"/>
                  </div>
                  <div v-if="form_fields.includes('gland_coul')" class="form-group">
                    <label class="control-label" for="GlandCoul">Couleur des glandes salivaires</label>
                    <dict-select :options="filteredDict(dicts.BiomGlandCoul)" v-model="cd.gland_coul"/>
                  </div>
                  <div v-if="form_fields.includes('gland_taille')" class="form-group">
                    <label class="control-label" for="GlandTaille">Taille des glandes salivaires</label>
                    <dict-select :options="filteredDict(dicts.BiomGlandTaille)" v-model="cd.gland_taille"/>
                  </div>
                  <div v-if="form_fields.includes('mamelle') && cd.sex === findCondition(dicts.Sex, 'f').id"
                       class="form-group">
                    <label class="control-label" for="Mamal">Etat des mamelles</label>
                    <dict-select :options="filteredDict(dicts.BiomMamelle)" v-model="cd.mamelle"/>
                  </div>
                  <div v-if="form_fields.includes('gestation') && cd.sex === findCondition(dicts.Sex, 'f').id"
                       class="form-group">
                    <label class="control-label" for="Gestation">Etat de la gestation</label>
                    <dict-select :options="filteredDict(dicts.BiomGestation)" v-model="cd.gestation"/>
                  </div>
                  <div v-if="form_fields.includes('epiphyse')" class="form-group" class="form-group">
                    <label class="control-label" for="Epiphyse">Epiphyse articulaire</label>
                    <dict-select :options="filteredDict(dicts.BiomEpiphyse)" v-model="cd.epiphyse"/>
                  </div>
                  <div v-if="form_fields.includes('chinspot')" class="form-group">
                    <label class="control-label" for="Chinspot">Chinspot</label>
                    <dict-select :options="filteredDict(dicts.BiomChinspot)" v-model="cd.chinspot"/>
                  </div>
                   <div v-if="form_fields.includes('usure_dent')" class="form-group">
                    <label class="control-label" for="usureDent">Usure des dents</label>
                    <dict-select id="usureDent" :options="filteredDict(dicts.BiomDent)" v-model="cd.usure_dent"/>
                  </div>
                  <span @click="moreCountDetailForm=!moreCountDetailForm"><i  class="fas fa-2x"
                                                                       :class="moreCountDetailForm ? 'fa-caret-up ':'fa-caret-down'"></i></span>
                  <div class="btn btn-danger btn-sm pull-right" @click="delCountDetail(selectedItem,icd)" tooltip><i
                  class="fa fa-trash"></i> Supprimer</div>
                  <div v-if="moreCountDetailForm">
                  <div>
                   <label class="col-sm-2 control-label" for="determiner">Déterminateur</label>
                              <div class="col-sm-10">
                        <user-select-one id="determiner" class="form-control" v-model="cd.manipulator"/>
                      </div>

                    <div>
                        <label class="col-sm-2 control-label" for="validator">Validateur</label>
                              <div class="col-sm-10">
                        <user-select-one id="validator" class="form-control" v-model="cd.validator"/>
                        </div>
                    </div>
                    <div>
                      <label class="col-sm-2 control-label" for="cdComment">Commentaire</label>
                      <div class="col-sm-10">
                      <textarea id="cdComment" placeholder="Commentaire"
                                v-model:title="cd.comment" v-model:content="cd.comment"
                                class="form-control" style="width:100%" rows="3"></textarea>
                                </div>
                    </div>
                  </div>
                  </div>

                </div>
                </td>
              </tr>
            </template>
          </table>


        <div class="panel-footer">
            <div class="btn btn-primary btn-block" @click="addNewCountDetail(selectedItem)">
              <i class="fa fa-plus"></i>
              <strong>Nouveau dénombrement</strong>
            </div>
        </div>
      </div>

    </validation-observer>
  </div>
  <div class="btn-group" role="group">
    <span class="btn btn-xs " @click="showRawData = !showRawData"><></span>
  </div>

  <pre v-if="showRawData">Species:[[species]]
  </pre>
  <pre v-if="showRawData">Data:[[data]]</pre>
</div>

<script type="application/javascript">
  // Vue.component('v-select', VueSelect.VueSelect)

  const sightingDataListUrl = "{% url 'sights:count_detail_api' session=object.pk %}"
  const typeContact = "{{object.contact.code}}"

  $(document).ready(() => {
    const vm = new Vue(sigthingFormApp(parseInt("{{object.pk}}"), "{{object.contact.code}}"))
  })

</script>

{% endblock %}
